const db = require('../models');
const FileDBApi = require('./file');
const crypto = require('crypto');
const Utils = require('../utils');

const Sequelize = db.Sequelize;
const Op = Sequelize.Op;
const { v4: uuid } = require('uuid');

module.exports = class Karusers_pujari_mappingsDBApi {
  static async create(data, options) {
    try {
      const karusers_pujari_mappings = await db.karuser_pujari_mappings.bulkCreate(
        data
      );

      console.log('=== IN BULK CREATE  RESPONSE====', karusers_pujari_mappings);
    } catch (error) {
      console.log('===== BULD CREATE ERROR WAS =====', error)
    }
    return true;
  }

  static async findByPujariId(id, options) {
    try {
      const karusers_pujari_mappings = await db.karuser_pujari_mappings.findAll({ where: { pujari_id: id } });
      return karusers_pujari_mappings
    } catch (error) {
      throw error;
    }
  }

  static async remove(id, options) {
    const karusers_pujari_mappings = await db.karuser_pujari_mappings.destroy({
      where: { pujari_id: id },
      force: true,
    });

    return karusers_pujari_mappings;
  }

  static async findAll(filter, options) {
    let { rows, count } = await db.karuser_pujari_mappings.findAndCountAll();
    return { rows, count };
  }

  static async checkWhetherMappingExists(pujariId, karuserId, options) {
    const transaction = (options && options.transaction) || undefined;

    const isMappingExists = await db.karuser_pujari_mappings.findOne({
      where: {
        karuser_id: karuserId,
        pujari_id: pujariId,
      },
    }, { transaction });

    return isMappingExists;
  }


}